> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getello.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Conversations

> Retrieves a paginated list of all conversations for a specific agent



## OpenAPI

````yaml /api-reference/openapi.json get /api/agents/{agent_id}/conversations
openapi: 3.1.0
info:
  title: Ello.AI API
  description: API for managing agents and calls in Ello.AI
  version: 1.0.0
servers:
  - url: https://api.getello.ai/
security: []
paths:
  /api/agents/{agent_id}/conversations:
    get:
      tags:
        - Agents
      summary: List Agent Conversations
      description: Retrieves a paginated list of all conversations for a specific agent
      operationId: getAssistantConversations
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            example: 68dce5202fc07b92042493b1
          description: Unique identifier of the agent.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            example: 1
          description: Page number for pagination.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            example: 10
          description: Number of conversations per page.
      responses:
        '200':
          description: Assistant conversations retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Assistant conversations retrieved successfully
                  data:
                    type: object
                    properties:
                      conversations:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 6900be1d39f3fd5dd4e503d4
                            conversation_id:
                              type: string
                              example: 6900b87ca70928b1224f0619
                            assistant_id:
                              type: string
                              example: 68dce5202fc07b92042493b1
                            to_number:
                              type:
                                - string
                                - 'null'
                              example: '+15550123'
                            from_number:
                              type:
                                - string
                                - 'null'
                              example: '+15550999'
                            created_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              example: '2025-10-28T12:35:17.423000Z'
                            status:
                              type:
                                - string
                                - 'null'
                              example: disconnected
                      assistant_name:
                        type:
                          - string
                          - 'null'
                        example: My Agent
                      total_count:
                        type: integer
                        example: 42
                      page:
                        type: integer
                        example: 1
                      limit:
                        type: integer
                        example: 10
                  pagination:
                    type: object
                    description: >-
                      Gateway pagination wrapper (may be inaccurate unless
                      upstream provides pagination fields).
                    properties:
                      page:
                        type: integer
                        example: 1
                      limit:
                        type: integer
                        example: 10
                      total:
                        type: integer
                        example: 42
                      totalPages:
                        type: integer
                        example: 5
                      hasNextPage:
                        type: boolean
                        example: true
                      hasPrevPage:
                        type: boolean
                        example: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    examples:
                      assistantNotFound:
                        value: Assistant 68dce5202fc07b92042493b1 not found.
                      other:
                        value: 'Error getting conversations: <details>'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Authentication token is missing or invalid
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: Error while getting assistant conversations
                  error:
                    type: object
                    properties:
                      details:
                        type: string
                        example: Error message details
      security:
        - apiKey: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````